# This workflow is used to close stale issues and pull requests.

name: 'Close stale issues and PRs'
on:
  schedule:
    - cron: '30 1 * * *'

jobs:
  stale:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/stale@v6
        with:
          stale-issue-message: |
            This issue is stale because it has been open 60 days with no 
            activity. Remove Stale label or comment or this will be closed in 7 days
          stale-pr-message: 'This PR is stale because it has been open 45 days with no activity. Remove stale label or comment or this will be closed in 10 days.'
          days-before-stale: 60
          days-before-close: 7
          days-before-pr-stale: 45
          days-before-pr-close: 10
          exempt-issue-labels: 'Pinned, Security'
          exempt-pr-labels: 'Pinned, Security'
